<template>
  <!-- 数据接收查询 -->
  <div>
    <el-row>
      <el-col :span="10">
        <span>接收时间 : </span>
        <el-date-picker
          v-model="search.time"
          value-format="yyyy-MM-dd"
          type="daterange"
          range-separator="至"
          start-placeholder="开始日期"
          end-placeholder="结束日期"
        />
      </el-col>
      <el-col :span="6">
        <span>接收状态 : </span>
        <el-radio-group v-model="search.status">
          <el-radio :label="1">已接收</el-radio>
          <el-radio :label="0">未接收</el-radio>
        </el-radio-group>
      </el-col>
      <el-col :span="6">
        <el-button size="small" type="primary" icon="el-icon-search" @click="searchClick(1)">搜索</el-button>
        <el-button size="small" type="info" icon="el-icon-refresh" @click="searchClick(2)">重置</el-button>
        <el-button size="small" type="success" @click="offReceive()">离线接收</el-button>
      </el-col>
    </el-row>
  </div>
</template>
<script>
export default {
  props: {
    search: {
      type: Object,
      default: () => { }
    }
  },
  data() {
    return {
      radio:'0'
    }
  },
  mounted() {

  },
  methods: {
    searchClick(val) {
      this.$emit('searchClick', val)
    },
    // 离线接收
    offReceive(){
      this.$emit('offReceive')
    }

  }
}

</script>
<style lang="scss" scoped>
</style>
